[Initng-svn] r1990 - initng/initfiles/system
svn at initng.thinktux.net
svn at initng.thinktux.net
Tue Nov 8 01:02:09 CET 2005
Author: jimmy
Date: Tue Nov 8 01:02:09 2005
New Revision: 1990
Modified:
initng/initfiles/system/ifupdown-debian.ii
initng/initfiles/system/initial.ii
initng/initfiles/system/issue.ii
Log:
More converts.
Modified: initng/initfiles/system/ifupdown-debian.ii
==============================================================================
--- initng/initfiles/system/ifupdown-debian.ii (original)
+++ initng/initfiles/system/ifupdown-debian.ii Tue Nov 8 01:02:09 2005
@@ -8,11 +8,11 @@
use = system/static-modules system/coldplug
start {
- [ -x /sbin/ifup ] || exit 0
- [ -x /sbin/ifdown ] || exit 0
+ [ -x @/sbin/ifup@ ] || exit 0
+ [ -x @/sbin/ifdown@ ] || exit 0
MYNAME="${0##*/}"
- report() { echo "${MYNAME}: $*" ; }
+ report() { @echo@ "${MYNAME}: $*" ; }
report_err() { report "Error: $*" >&2 ; }
RUN_DIR=/etc/network/run
[ -r /etc/default/ifupdown ] && . /etc/default/ifupdown
@@ -49,7 +49,7 @@
done
done
dest="$dest/$extras"
- echo "${dest%/}"
+ @echo@ "${dest%/}"
}
# if /etc/network/run is a symlink to a directory that doesn't exist,
@@ -58,12 +58,12 @@
if [ -L "$RUN_DIR" ] && [ ! -d "$RUN_DIR" ] ; then
runmkdir="$(myreadlink "$RUN_DIR")"
if [ ! "$runmkdir" ] ; then
- echo "failed."
+ @echo@ "failed."
report_err "Cannot create target of /etc/network/run"
exit 1
fi
if ! mkdir -p "$runmkdir"; then
- echo "failed."
+ @echo@ "failed."
report_err "Failure creating directory $runmkdir"
exit 1
fi
@@ -75,7 +75,7 @@
# We can always clean here, because debian's network script depends on this, it HAS to run first.
# if [ ! -r "$IFSTATE" ]; then
if ! : > "$IFSTATE" ; then
- echo "failed."
+ @echo@ "failed."
report_err "Failure initializing $IFSTATE"
exit 1
fi
@@ -85,14 +85,14 @@
}
stop {
IFSTATE=/etc/network/run/ifstate
- echo -n "Cleaning up ifupdown..."
+ @echo@ -n "Cleaning up ifupdown..."
if [ -f $IFSTATE -a ! -L $IFSTATE ]; then
- rm -f "$IFSTATE"
+ @rm@ -f "$IFSTATE"
elif [ -f $IFSTATE ]; then
# This is kinda bad :(
>$IFSTATE
fi
- echo "done."
+ @echo@ "done."
exit 0
}
}
Modified: initng/initfiles/system/initial.ii
==============================================================================
--- initng/initfiles/system/initial.ii (original)
+++ initng/initfiles/system/initial.ii Tue Nov 8 01:02:09 2005
@@ -5,69 +5,69 @@
umask 022
-echo "Mounting proc at /proc ..."
-mkdir -p /proc && mount -n -t proc none /proc || exit $? &
+ at echo@ "Mounting proc at /proc ..."
+ at mkdir@ -p /proc && mount -n -t proc none /proc || exit $? &
-echo "Mounting sysfs at /sys ..."
-mkdir -p /sys && mount -n -t sysfs none /sys || exit $? &
+ at echo@ "Mounting sysfs at /sys ..."
+ at mkdir@ -p /sys && mount -n -t sysfs none /sys || exit $? &
# need /proc mounted here.
wait
if [ -e /sbin/start_udev ]; then
- /sbin/start_udev
-elif [ -e /sbin/udevstart ]; then
- echo "Mounting ramfs at /dev ..."
- mkdir -p /dev && mount -n -t ramfs none /dev || exit $?
+ @/sbin/start_udev@
+elif [ -e @sbin/udevstart@ ]; then
+ @echo@ "Mounting ramfs at /dev ..."
+ @mkdir@ -p /dev && mount -n -t ramfs none /dev || exit $?
- echo "Configuring system to use udev ..."
- mknod /dev/null c 1 3 -m 666
- /sbin/udevstart
+ @echo@ "Configuring system to use udev ..."
+ @mknod@ /dev/null c 1 3 -m 666
+ @/sbin/udevstart@
# udevstart fails sometimes, retry until /dev/zero exists.
- while [ ! -e /dev/zero ]; do echo "waiting for /dev/zero to appere"; sleep 2; done
+ while [ ! -e /dev/zero ]; do @echo@ "waiting for /dev/zero to appere"; sleep 2; done
#Not provided by sysfs but needed
- ln -snf /proc/self/fd /dev/fd &
- ln -snf fd/0 /dev/stdin &
- ln -snf fd/1 /dev/stdout &
- ln -snf fd/2 /dev/stderr &
- ln -snf /proc/kcore /dev/core &
- ln -snf /proc/asound/oss/sndstat /dev/sndstat &
+ @ln@ -snf /proc/self/fd /dev/fd &
+ @ln@ -snf fd/0 /dev/stdin &
+ @ln@ -snf fd/1 /dev/stdout &
+ @ln@ -snf fd/2 /dev/stderr &
+ @ln@ -snf /proc/kcore /dev/core &
+ @ln@ -snf /proc/asound/oss/sndstat /dev/sndstat &
# Same thing as /dev/.devfsd
- touch /dev/.udev &
+ @touch@ /dev/.udev &
fi
wait
-echo "Mounting devpts at /dev/pts ..."
-mkdir -p /dev/pts && mount -n -t devpts -o gid=5,mode=0620 none /dev/pts || exit $? &
+ at echo@ "Mounting devpts at /dev/pts ..."
+ at mkdir@ -p /dev/pts && mount -n -t devpts -o gid=5,mode=0620 none /dev/pts || exit $? &
-echo "Mounting devshm at /dev/shm ..."
-mkdir -p /dev/shm && mount -n -t tmpfs none /dev/shm || exit $? &
+ at echo@ "Mounting devshm at /dev/shm ..."
+ at mkdir@ -p /dev/shm && mount -n -t tmpfs none /dev/shm || exit $? &
# Setup hotplugging (if possible)
if [ -e /proc/sys/kernel/hotplug ]
then
if [ -x /sbin/udevsend ] ; then
- echo " Setting /sbin/udevsend as hotplug agent ..."
- echo "/sbin/udevsend" > /proc/sys/kernel/hotplug
+ @echo@ " Setting /sbin/udevsend as hotplug agent ..."
+ @echo@ "/sbin/udevsend" > /proc/sys/kernel/hotplug
elif [ -x /sbin/hotplug ] ; then
- echo " Using /sbin/hotplug as hotplug agent ..."
- echo "/sbin/hotplug" > /proc/sys/kernel/hotplug
+ @echo@ " Using /sbin/hotplug as hotplug agent ..."
+ @echo@ "/sbin/hotplug" > /proc/sys/kernel/hotplug
else
- echo " Setting /sbin/udev as hotplug agent ..."
- echo "/sbin/udev" > /proc/sys/kernel/hotplug
+ @echo@ " Setting /sbin/udev as hotplug agent ..."
+ @echo@ "/sbin/udev" > /proc/sys/kernel/hotplug
fi
fi
# Set the console loglevel to 1 for a cleaner boot
# the logger should anyhow dump the ring-0 buffer at start to the
# logs, and that with dmesg can be used to check for problems
-/bin/dmesg -n 1 &
+@/bin/dmesg@ -n 1 &
wait
#exit happily, or sulogin will be executed.
Modified: initng/initfiles/system/issue.ii
==============================================================================
--- initng/initfiles/system/issue.ii (original)
+++ initng/initfiles/system/issue.ii Tue Nov 8 01:02:09 2005
@@ -2,7 +2,7 @@
need = system/initial system/mountroot
start {
#ifd pingwinek
- distro=$(cat /etc/distro)
+ distro=$(@cat@ /etc/distro)
#elsed debian
distro="debian"
#elsed gentoo
@@ -10,7 +10,7 @@
#elsed
distro="Unknown distro"
#endd
- arch=$(uname -m)
+ arch=$(@uname@ -m)
a="a"
case "$arch" in
_a*) a="an";;
@@ -28,12 +28,12 @@
a="a"
fi
fi
- echo $distro > /etc/issue
- echo "Kernel $(uname -r) on $a $SMP$(uname -m) (\l)" >> /etc/issue
- echo "Powered by initng, written by Jimmy Wennlund <jimmy.wennlund at gmail.com>" >> /etc/issue
+ @echo@ $distro > /etc/issue
+ @echo@ "Kernel $(@uname@ -r) on $a $SMP$(@uname@ -m) (\l)" >> /etc/issue
+ @echo@ "Powered by initng, written by Jimmy Wennlund <jimmy.wennlund at gmail.com>" >> /etc/issue
- echo $distro > /etc/issue.net
- echo "Kernel $(uname -r) on $a $SMP$(uname -m)" >> /etc/issue.net
- echo "Powered by initng, written by Jimmy Wennlund <jimmy.wennlund at gmail.com>" >> /etc/issue.net
+ @echo@ $distro > /etc/issue.net
+ @echo@ "Kernel $(@uname@ -r) on $a $SMP$(@uname@ -m)" >> /etc/issue.net
+ @echo@ "Powered by initng, written by Jimmy Wennlund <jimmy.wennlund at gmail.com>" >> /etc/issue.net
}
}
More information about the Initng-svn
mailing list